Debian Bug report logs - #700084
ITP: python-cffi -- Foreign Function Interface for Python calling C code

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Stefano Rivera <stefanor@debian.org>

Date: Fri, 8 Feb 2013 13:21:01 UTC

Owned by: Stefano Rivera <stefanor@debian.org>

Severity: wishlist

Fixed in version python-cffi/0.5-1

Done: Stefano Rivera <stefanor@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#700084; Package wnpp. (Fri, 08 Feb 2013 13:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Rivera <stefanor@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 08 Feb 2013 13:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefano Rivera <stefanor@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-cffi -- Foreign Function Interface for Python calling C code
Date: Fri, 8 Feb 2013 15:18:46 +0200
Package: wnpp
Severity: wishlist
Owner: Stefano Rivera <stefanor@debian.org>

* Package name    : python-cffi
  Version         : 0.5
  Upstream Author : Armin Rigo
* URL             : http://pypi.python.org/pypi/cffi/
* License         : Expat
  Programming Lang: Python, C
  Description     : Foreign Function Interface for Python calling C code

Foreign Function Interface for Python calling C code. The aim of this
project is to provide a convenient and reliable way of calling C code
from Python. It keeps Python logic in Python, and minimises the C
required. It is able to work at either the C API or ABI level, unlike
most other approaches, that only support the ABI level.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 25 Feb 2013 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to Stefano Rivera <stefanor@debian.org>:
You have taken responsibility. (Fri, 12 Apr 2013 15:03:16 GMT) Full text and rfc822 format available.

Notification sent to Stefano Rivera <stefanor@debian.org>:
Bug acknowledged by developer. (Fri, 12 Apr 2013 15:03:16 GMT) Full text and rfc822 format available.

Message #12 received at 700084-close@bugs.debian.org (full text, mbox):

From: Stefano Rivera <stefanor@debian.org>
To: 700084-close@bugs.debian.org
Subject: Bug#700084: fixed in python-cffi 0.5-1
Date: Fri, 12 Apr 2013 15:00:09 +0000
Source: python-cffi
Source-Version: 0.5-1

We believe that the bug you reported is fixed in the latest version of
python-cffi, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700084@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefano Rivera <stefanor@debian.org> (supplier of updated python-cffi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 25 Feb 2013 12:12:31 +0200
Source: python-cffi
Binary: python-cffi python-cffi-dbg python3-cffi python3-cffi-dbg
Architecture: source amd64
Version: 0.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Stefano Rivera <stefanor@debian.org>
Description: 
 python-cffi - Foreign Function Interface for Python calling C code
 python-cffi-dbg - Foreign Function Interface for Python calling C code (Debug versi
 python3-cffi - Foreign Function Interface for Python 3 calling C code
 python3-cffi-dbg - Foreign Function Interface for Python 3 calling C code (Debug ver
Closes: 700084
Changes: 
 python-cffi (0.5-1) unstable; urgency=low
 .
   * Initial package (Closes: #700084)
Checksums-Sha1: 
 8f4b69202940c5a2edabbe49369670528c5c3e17 2387 python-cffi_0.5-1.dsc
 d201e114d701eafbf458ebde569acbcc5225eeff 161329 python-cffi_0.5.orig.tar.gz
 a978911de2c9e4f67f8db5f0f9552d0eaf87b8a0 3382 python-cffi_0.5-1.debian.tar.gz
 2b111fbcb11553d2e9efbec8a7c8ae5217fe11f5 103964 python-cffi_0.5-1_amd64.deb
 94bfb9b4f10c1fd2823e089b5d295ceb2fde6ea5 206880 python-cffi-dbg_0.5-1_amd64.deb
 b3f39dd4eba4e6f2e9959432916e22c44d6d562e 72530 python3-cffi_0.5-1_amd64.deb
 79ce89545191c260b580651de34916061c4b9078 107602 python3-cffi-dbg_0.5-1_amd64.deb
Checksums-Sha256: 
 15c4715b6fc560051ed912a76a6ec0fe72a7218cce8c013d41ef547bdbe8d747 2387 python-cffi_0.5-1.dsc
 773695ffc930e9c9d26210c87248e7945241343d059a0a261ac3c36abc36b13a 161329 python-cffi_0.5.orig.tar.gz
 91da7fbfa4e5aef113b6c18e2139c676f88c42b2037c1cf9669e23ea8a3c886f 3382 python-cffi_0.5-1.debian.tar.gz
 44b9d944de60c16612d2844256f7bae26000ad0c9835709a34c34b834b1daa55 103964 python-cffi_0.5-1_amd64.deb
 2e81eda5ff74838cc5ecc3be0ac01601769d58b59e1d0c442c312f05b8a82231 206880 python-cffi-dbg_0.5-1_amd64.deb
 04450be1440da577787f3bec981256d2aa5ee86202e2cafec096c8345227c861 72530 python3-cffi_0.5-1_amd64.deb
 fcfd559e4d2b452c61c9c864d1715a2a84bcdd4e39722f589f9ba1ad3910fbe3 107602 python3-cffi-dbg_0.5-1_amd64.deb
Files: 
 07258df561b6e6498543c0cf31bb7f94 2387 python optional python-cffi_0.5-1.dsc
 b163c11f68cad4371e8caeb91d81743f 161329 python optional python-cffi_0.5.orig.tar.gz
 822ce4003cf5fa29aaa9e0cfb67bf17e 3382 python optional python-cffi_0.5-1.debian.tar.gz
 59aa7c7ec63b4d7c9355c24c2b3002a7 103964 python optional python-cffi_0.5-1_amd64.deb
 d9b68e6daaa2f38945248227ba873003 206880 debug extra python-cffi-dbg_0.5-1_amd64.deb
 ab62ed9ac57349edaf925bab8b9b1703 72530 python optional python3-cffi_0.5-1_amd64.deb
 0d537fcb88d631c748cdcaabb7aecd10 107602 debug extra python3-cffi-dbg_0.5-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRK2CRAAoJEACQ/CG1zRrMCgEP/iGuPUyfWS8aKG3WbvZqFmf3
DJxZabGMbzMJJE4N4GLgr/IkhlY4FeS78ExgObc//3abB417l/e4WySTe4gv7ts8
2GcRjLc9usKgeIO/N8fxxHhgi+uyvAE3MK7T4tIgdpQ3ylQynKMzzPZ0SvqGNT+O
jX9XbMnP2EAebqZ0N3lTq8T7mAj1TBzh17IyglETWBnw4YJNM8izAxFKaQe1/pFB
heZSrES+gPV6ylti2sD3M/lpmlT5kzeg8FiNj5aULbo3MgIRsUVM/pBTlWKTiyT9
7sPuWKOk8twqhWrOtvD746sVuyCsm4WUUMR5yXJyAI40oQOrjS+oDdndGE7rad6L
xTxkAdEJROwPHODbFM21E+FTZV7QLzREoSAAkN8RZejaY5aMWOmbIpJO3iPCZSVB
33YXmQf2zs2A42JpLrZz078ab4sDEuhLjIqTEaf177jOvALBjkNXAo1RwFvl66cF
ZP+s8+imoKhUzV31IWarST8mSIO28lY/liVH62cgOdX9/dSYefDZbL70wduUG/bE
qVP+Mho5v+R3yq3XVYtfOf29ZnUTo43qKUWikWwlZU+fLl+RdYek2kCc+s2toE93
MiNU1fN7zT6xNMJkn1Fnw/0OkFNwJdo+YNuK24qvLOzidLUquhXBHemeqmQonKSz
u8UnFCF2PB8Djbp+CE2X
=lZrB
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:35:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:39:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.